Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.fs
Interface PathFilter

All Known Implementing Classes:
  OutputLogFilter, Utils.OutputFileUtils.OutputFilesFilter, Utils.OutputFileUtils.OutputLogFilter

    public interface PathFilter

Method Summary
`boolean` | `accept(Path path)` Tests whether or not the specified abstract pathname should be included in a pathname list.

Method Detail

### accept

    boolean accept(Path path)

  Tests whether or not the specified abstract pathname should be included in a pathname list.

  Parameters:
    `path` - The abstract pathname to be tested
  Returns:
    `true` if and only if `pathname` should be included

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation